/*******************************************************************************
* File Name: TimerISR2.h
* Version 1.71
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_TimerISR2_H)
#define CY_ISR_TimerISR2_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void TimerISR2_Start(void);
void TimerISR2_StartEx(cyisraddress address);
void TimerISR2_Stop(void);

CY_ISR_PROTO(TimerISR2_Interrupt);

void TimerISR2_SetVector(cyisraddress address);
cyisraddress TimerISR2_GetVector(void);

void TimerISR2_SetPriority(uint8 priority);
uint8 TimerISR2_GetPriority(void);

void TimerISR2_Enable(void);
uint8 TimerISR2_GetState(void);
void TimerISR2_Disable(void);

void TimerISR2_SetPending(void);
void TimerISR2_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the TimerISR2 ISR. */
#define TimerISR2_INTC_VECTOR            ((reg32 *) TimerISR2__INTC_VECT)

/* Address of the TimerISR2 ISR priority. */
#define TimerISR2_INTC_PRIOR             ((reg32 *) TimerISR2__INTC_PRIOR_REG)

/* Priority of the TimerISR2 interrupt. */
#define TimerISR2_INTC_PRIOR_NUMBER      TimerISR2__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable TimerISR2 interrupt. */
#define TimerISR2_INTC_SET_EN            ((reg32 *) TimerISR2__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the TimerISR2 interrupt. */
#define TimerISR2_INTC_CLR_EN            ((reg32 *) TimerISR2__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the TimerISR2 interrupt state to pending. */
#define TimerISR2_INTC_SET_PD            ((reg32 *) TimerISR2__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the TimerISR2 interrupt. */
#define TimerISR2_INTC_CLR_PD            ((reg32 *) TimerISR2__INTC_CLR_PD_REG)



#endif /* CY_ISR_TimerISR2_H */


/* [] END OF FILE */
